<?php


class Encuesta242
{
    public $encuesta242Id;
    public $nombreAlumno;
    public $userId;
    public $pregunta1;
    public $pregunta2;
    public $pregunta3;
    public $pregunta4;
    public $pregunta5;
    public $pregunta6;
    public $pregunta7;
    public $pregunta8;
    public $pregunta9;
    public $pregunta10;
    public $pregunta11;
    public $pregunta12;
    public $pregunta13;
    public $pregunta14;
    public $pregunta15;
    public $pregunta16;
    public $pregunta17;
    public $pregunta18;
    public $pregunta19;
    public $pregunta20;
    public $fechaRegistro;
    public $seccionEncuesta;
    public $fechaUltimaActualizacion;
    public $fechaTermino;
    public $puntosEncuesta;
    public $semaforoEncuesta;

    private $configuracionBD;
    private $conexionBD;
    public $query;

    function __construct()
    {
        $this->configuracionBD = new ConfiguracionBD();
        $this->conexionBD = $this->configuracionBD->getConexionLocal();
    }

    function registrarInstruccionesEncuesta242()
    {
        try
        {
            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="INSERT INTO tiempoma_encuestas1.encuesta242 (id,nombrealumno,userid,fecharegistro,seccionencuesta,fechaultimaactualizacion)
            VALUES(NULL,'".$this->nombreAlumno."','".$this->userId."',NOW(),'seccion1',NOW())";
            $resultadoRegitro = $this->conexionBD->query($this->query);
            //echo "<br>queryInstrucciones: ".$this->query;
            //die();
            if($resultadoRegitro)
                return $this->conexionBD->insert_id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion1Encuesta242()
    {
        try
        {
            if($this->pregunta1=="on"){$this->pregunta1=1;}else{$this->pregunta1=0;}
            if($this->pregunta2=="on"){$this->pregunta2=1;}else{$this->pregunta2=0;}
            if($this->pregunta3=="on"){$this->pregunta3=1;}else{$this->pregunta3=0;}
            if($this->pregunta4=="on"){$this->pregunta4=1;}else{$this->pregunta4=0;}
            if($this->pregunta5=="on"){$this->pregunta5=1;}else{$this->pregunta5=0;}
            if($this->pregunta6=="on"){$this->pregunta6=1;}else{$this->pregunta6=0;}
            if($this->pregunta7=="on"){$this->pregunta7=1;}else{$this->pregunta7=0;}
            if($this->pregunta8=="on"){$this->pregunta8=1;}else{$this->pregunta8=0;}
            if($this->pregunta9=="on"){$this->pregunta9=1;}else{$this->pregunta9=0;}
            if($this->pregunta10=="on"){$this->pregunta10=1;}else{$this->pregunta10=0;}
            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta242
            SET pregunta1='".$this->pregunta1."',
            pregunta2='".$this->pregunta2."',
            pregunta3='".$this->pregunta3."',
            pregunta4='".$this->pregunta4."',
            pregunta5='".$this->pregunta5."',
            pregunta6='".$this->pregunta6."',
            pregunta7='".$this->pregunta7."',
            pregunta8='".$this->pregunta8."',
            pregunta9='".$this->pregunta9."',
            pregunta10='".$this->pregunta10."',
            seccionencuesta='seccion2',
            fechaultimaactualizacion=NOW()
            WHERE id=".$this->encuesta242Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
                return $this->encuesta242Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion2Encuesta242()
    {
        try
        {
            if($this->pregunta11=="on"){$this->pregunta11=1;}else{$this->pregunta11=0;}
            if($this->pregunta12=="on"){$this->pregunta12=1;}else{$this->pregunta12=0;}
            if($this->pregunta13=="on"){$this->pregunta13=1;}else{$this->pregunta13=0;}
            if($this->pregunta14=="on"){$this->pregunta14=1;}else{$this->pregunta14=0;}
            if($this->pregunta15=="on"){$this->pregunta15=1;}else{$this->pregunta15=0;}
            if($this->pregunta16=="on"){$this->pregunta16=1;}else{$this->pregunta16=0;}
            if($this->pregunta17=="on"){$this->pregunta17=1;}else{$this->pregunta17=0;}
            if($this->pregunta18=="on"){$this->pregunta18=1;}else{$this->pregunta18=0;}
            if($this->pregunta19=="on"){$this->pregunta19=1;}else{$this->pregunta19=0;}
            if($this->pregunta20=="on"){$this->pregunta20=1;}else{$this->pregunta20=0;}

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta242
            SET pregunta11='".$this->pregunta11."',
            pregunta12='".$this->pregunta12."',
            pregunta13='".$this->pregunta13."',
            pregunta14='".$this->pregunta14."',
            pregunta15='".$this->pregunta15."',
            pregunta16='".$this->pregunta16."',
            pregunta17='".$this->pregunta17."',
            pregunta18='".$this->pregunta18."',
            pregunta19='".$this->pregunta19."',
            pregunta20='".$this->pregunta20."',
            seccionencuesta='realizada',
            fechaultimaactualizacion=NOW(),
            fechatermino=NOW()
            WHERE id=".$this->encuesta242Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
            {
                $this->query="UPDATE tiempoma_encuestas1.encuesta242
                SET puntosencuesta = (pregunta1 + pregunta2 + pregunta3 + pregunta4 + pregunta5 + pregunta6 + pregunta7 + pregunta8 + pregunta9 + pregunta10 + pregunta11 + pregunta12 + pregunta13 + pregunta14 + pregunta15 + pregunta16 + pregunta17 + pregunta18 + pregunta19 + pregunta20)*(SELECT ENC.valorpregunta FROM tiempoma_encuestas1.encuestas ENC WHERE ENC.id=1),
                semaforoencuesta = IF((pregunta1 + pregunta2 + pregunta3 + pregunta4 + pregunta5 + pregunta6 + pregunta7 + pregunta8 + pregunta9 + pregunta10 + pregunta11 + pregunta12 + pregunta13 + pregunta14 + pregunta15 + pregunta16 + pregunta17 + pregunta18 + pregunta19 + pregunta20)*(SELECT ENC.valorpregunta FROM tiempoma_encuestas.encuestas ENC WHERE ENC.id=1)>=9,'success',IF((pregunta1 + pregunta2 + pregunta3 + pregunta4 + pregunta5 + pregunta6 + pregunta7 + pregunta8 + pregunta9 + pregunta10 + pregunta11 + pregunta12 + pregunta13 + pregunta14 + pregunta15 + pregunta16 + pregunta17 + pregunta18 + pregunta19 + pregunta20)*(SELECT ENC.valorpregunta FROM tiempoma_encuestas1.encuestas ENC WHERE ENC.id=1) BETWEEN 7 AND 8.5,'warning','danger'))
                WHERE id=".$this->encuesta242Id;
                $resultadoRegitro = $this->conexionBD->query($this->query);
                if($resultadoRegitro>0)
                {
                    return $this->encuesta242Id;
                }

            }

            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function consultarEncuestas242($resultado=0)
    {
        try
        {
            $this->query="SELECT ENC.id AS encuesta242Id, 
            ENC.nombrealumno AS nombreAlumno, 
            ENC.userid AS userId, 
            ENC.pregunta1, 
            ENC.pregunta2, 
            ENC.pregunta3, 
            ENC.pregunta4, 
            ENC.pregunta5, 
            ENC.pregunta6, 
            ENC.pregunta7, 
            ENC.pregunta8, 
            ENC.pregunta9, 
            ENC.pregunta10, 
            ENC.pregunta11, 
            ENC.pregunta12, 
            ENC.pregunta13, 
            ENC.pregunta14, 
            ENC.pregunta15, 
            ENC.pregunta16, 
            ENC.pregunta17, 
            ENC.pregunta18, 
            ENC.pregunta19, 
            ENC.pregunta20, 
            ENC.fecharegistro AS fechaRegistro, 
            ENC.seccionencuesta AS seccionEncuesta, 
            ENC.fechaultimaactualizacion AS fechaUltimaActualizacion, 
            ENC.fechatermino AS fechaTermino,
            ENC.puntosencuesta AS puntosEncuesta,
            ENC.semaforoencuesta AS semaforoEncuesta
            FROM 
            tiempoma_encuestas1.encuesta242 ENC
            WHERE 1=1 AND ENC.seccionencuesta<>'cancelada'";
            if($this->encuesta242Id>0)
                $this->query.=" AND ENC.id=".$this->encuesta242Id;
            if($this->userId!="")
                $this->query.=" AND ENC.userid='".$this->userId."'";
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
            {
                if(($this->encuesta242Id>0 || $this->userId!="") && $resultado==0)
                {
                    $rowConsulta = $resultadoConsulta->fetch_object();
                    $this->encuesta242Id = $rowConsulta->encuesta242Id;
                    $this->nombreAlumno = $rowConsulta->nombreAlumno;
                    $this->userId = $rowConsulta->userId;
                    $this->pregunta1 = $rowConsulta->pregunta1;
                    $this->pregunta2 = $rowConsulta->pregunta2;
                    $this->pregunta3 = $rowConsulta->pregunta3;
                    $this->pregunta4 = $rowConsulta->pregunta4;
                    $this->pregunta5 = $rowConsulta->pregunta5;
                    $this->pregunta6 = $rowConsulta->pregunta6;
                    $this->pregunta7 = $rowConsulta->pregunta7;
                    $this->pregunta8 = $rowConsulta->pregunta8;
                    $this->pregunta9 = $rowConsulta->pregunta9;
                    $this->pregunta10 = $rowConsulta->pregunta10;
                    $this->pregunta11 = $rowConsulta->pregunta11;
                    $this->pregunta12 = $rowConsulta->pregunta12;
                    $this->pregunta13 = $rowConsulta->pregunta13;
                    $this->pregunta14 = $rowConsulta->pregunta14;
                    $this->pregunta15 = $rowConsulta->pregunta15;
                    $this->pregunta16 = $rowConsulta->pregunta16;
                    $this->pregunta17 = $rowConsulta->pregunta17;
                    $this->pregunta18 = $rowConsulta->pregunta18;
                    $this->pregunta19 = $rowConsulta->pregunta19;
                    $this->pregunta20 = $rowConsulta->pregunta20;
                    $this->fechaRegistro = $rowConsulta->fechaRegistro;
                    $this->seccionEncuesta = $rowConsulta->seccionEncuesta;
                    $this->fechaUltimaActualizacion = $rowConsulta->fechaUltimaActualizacion;
                    $this->fechaTermino = $rowConsulta->fechaTermino;
                    $this->puntosEncuesta = $rowConsulta->puntosEncuesta;
                    $this->semaforoEncuesta = $rowConsulta->semaforoEncuesta;
                    return $rowConsulta;
                }
                else
                    return $resultadoConsulta;
            }
            else
                return null;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function cancelarEncuesta242()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta242
            SET seccionencuesta='cancelada',
            fechaultimaactualizacion = NOW()
            WHERE id=".$this->encuesta242Id;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
                return $this->encuesta242Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

}